<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"
    android:fillViewport="true"
    tools:context=".views.LoginFragment">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="16dp">

        <TextView
            android:id="@+id/tvTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:text="119구급대 응급의료 스마트플랫폼"
            android:textColor="@color/white"
            android:textStyle="bold"
            android:textSize="40sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.cardview.widget.CardView
            android:id="@+id/cardView"
            android:layout_width="400dp"
            android:layout_height="400dp"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="30dp"
            app:cardCornerRadius="13dp"
            app:cardElevation="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tvTitle">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="30dp"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/textView2"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="3"
                    android:gravity="center"
                    android:text="접속 정보"
                    android:textColor="#0971B8"
                    android:textSize="30sp" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_margin="5dp"
                    android:layout_weight="2">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/loginIdText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="아이디"
                        android:inputType="text"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_margin="5dp"
                    android:layout_weight="2">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/carNoText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="차량번호 ( ex: 999허9999 )"
                        android:inputType="text"
                        android:maxLength="10"
                        android:maxLines="1" />
                </com.google.android.material.textfield.TextInputLayout>

                <Button
                    android:id="@+id/accessButton"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginRight="5dp"
                    android:layout_weight="0.5"
                    android:gravity="center"
                    android:text="시작"
                    android:textSize="20sp"
                    app:cornerRadius="10dp"
                    tools:layout_editor_absoluteX="289dp"
                    tools:layout_editor_absoluteY="257dp" />

            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <ImageView
            android:id="@+id/imageView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:layout_marginBottom="20dp"
            android:src="@drawable/logo"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/cardView" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.core.widget.NestedScrollView>